diff -ru i4b.surf.org/layer1/i4b_isic.c i4b/layer1/i4b_isic.c
--- i4b.surf.org/layer1/i4b_isic.c	Tue Apr 20 11:34:14 1999
+++ i4b/layer1/i4b_isic.c	Mon Jun  7 21:20:11 1999
@@ -273,21 +273,24 @@
 						ipac_irq_stat & IPAC_ISTA_EXB);
 				was_ipac_irq = 1;			
 			}
-			if(ipac_irq_stat & (IPAC_ISTA_ICD | IPAC_ISTA_EXD))
+			if(ipac_irq_stat & IPAC_ISTA_ICD)
 			{
 				/* ISAC interrupt */
 				isic_isac_irq(sc, ISAC_READ(I_ISTA));
 				was_ipac_irq = 1;
 			}
+			if(ipac_irq_stat & IPAC_ISTA_EXD)
+			{
+				/* ISAC interrupt */
+				isic_isac_irq(sc, 0x01);
+				was_ipac_irq = 1;
+			}
 	
 			/* do as long as there are pending irqs in the chip */
 			if(!ipac_irq_stat)
 				break;
 		}
 
-		if(was_ipac_irq == 0)
-			DBGL1(L1_ERROR, "isicintr", ("WARNING: unit %d, No IRQ from IPAC!\n", sc->sc_unit));
-			
 		IPAC_WRITE(IPAC_MASK, 0xff);
 		DELAY(50);
 		IPAC_WRITE(IPAC_MASK, 0xc0);
diff -ru i4b.surf.org/layer1/i4b_siemens_isurf.c i4b/layer1/i4b_siemens_isurf.c
--- i4b.surf.org/layer1/i4b_siemens_isurf.c	Mon Jun  7 21:11:32 1999
+++ i4b/layer1/i4b_siemens_isurf.c	Mon Jun  7 21:18:45 1999
@@ -252,7 +252,7 @@
 	
 	/* check if we got an iobase */
 
-	if(dev->id_iobase >= 0xff0)
+	if(!((dev->id_iobase >= 0x100) && (dev->id_iobase <= 0xff0)))
 	{
 		printf("isic%d: Error, invalid iobase 0x%x specified for Siemens I-Surf 2 PnP!\n",
 			dev->id_unit, dev->id_iobase);